% Super class for physical objects with homogeneous mass distribution

classdef PhysicalObject < handle
   properties
       mass;    % Object mass
       I;     % Inertia matrix
%        I_x;     % Moment of inertia about local x axis
%        I_y;     % Moment of inertia about local y axis
%        I_z;     % Moment of inertia about local z axis
       
   end
   methods
       function obj = PhysicalObject(mass,I)
           obj.mass = mass;
%            obj.I_x = I_x;
%            obj.I_y = I_y;
%            obj.I_z = I_z;
           obj.I = I;
       end
   end
   methods (Abstract)
       obj = plotXY(obj,x,y)
       obj = plotXZ(obj,x,z)
       obj = plotYZ(obj,x,z)
   end
end

